Skip to main content
GET
Get one inbox item

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "items": Include the things to process in this mail - one per document attachment, each with its own type, status and report.
Available options:
items

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
organizationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
received,
rejected
rejectionReason
enum<string> | null
required
Available options:
sender_unknown,
attachment_too_large,
attachment_type_not_allowed,
body_unreadable,
quota_exceeded
fromEmail
string<email>
required
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
subject
string | null
required
Maximum string length: 300
body
string | null
required
Maximum string length: 10000
files
object[]
required
receivedAt
string<date-time>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
items
object[]